%define type1fonts %_datadir/fonts/default/Type1-sharatype

Name: sharatype-fonts
Version: 2.0.4
Release: alt1

Summary: Free versions of Bitstream Type1 fonts with cyrillic glyphs
License: BSD style
Group: System/Fonts/Type1
Url: ftp://ftp.ice.ru/pub/fonts/type1
BuildArch: noarch

Source: %name-%version.tar.bz2

PreReq: fontconfig

%description
Free versions of Bitstream Type1 fonts with cyrillic glyphs from
Sergey Sharashkin

%prep
%setup -q 

%install
mkdir -p $RPM_BUILD_ROOT%type1fonts
install -p -m644 *.afm *.pfa $RPM_BUILD_ROOT%type1fonts
cd $RPM_BUILD_ROOT%type1fonts
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache
if [ -x /usr/bin/gnome-font-install ]; then
  perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir} > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi  

%postun

%files
%dir %type1fonts
%type1fonts/*.afm
%type1fonts/*.pfa
%config (missingok)  %type1fonts/fonts.cache-1
%doc Copyright README* 

%changelog
* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.0.4-alt1
- new package in sisyphus

